Bug 173757 - hotplug doesn't apply device permissions from 50-default.perms
hotplug doesn't apply device permissions from 50-default.perms
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: hotplug (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-20 13:28 EST by Joel Uckelman
Modified: 2014-03-16 22:56 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-15 11:36:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joel Uckelman 2005-11-20 13:28:08 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
If I login to X when my USB scanner is plugged in, the permissions found in /etc/security/console.perms.d/50-default.perms are applied. If I login to X and then plug in my scanner, the permissions found there are ignored.

Version-Release number of selected component (if applicable):
hotplug-2004_09_23-7

How reproducible:
Always

Steps to Reproduce:
1. Login to X.
2. Plug in my USB scanner.
3. Check the permissions on /proc/bus/usb/xxx/yyy.
  

Actual Results:  [uckelman@scylla ~]$ ls -l /proc/bus/usb/004/003
-rw-rw----  1 uckelman root 50 Nov 20 19:05 /proc/bus/usb/004/003


Expected Results:  uckelman@scylla ~]$ ls -l /proc/bus/usb/004/003
-rw-rw----  1 uckelman users 50 Nov 20 19:05 /proc/bus/usb/004/003


Additional info:

I checked the following:

1. That /etc/hotplug/usb/libusbscanner runs when I plug in my scanner.
2. That pam_console_apply is run from it.
3. That I really do have the permissions I want for the scanner in 50-defaults.perms:

<console>  0660 <scanner>    0660 root.users

4. That I really do get those permissions when the scanner is plugged in at the point when I login.

So either pam_console_apply is doing the wrong thing, or the script run by hotplug isn't involing pam_console_apply properly, or both?
Comment 1 Joel Uckelman 2005-11-20 13:30:45 EST
Ack, where I say permissions above I mean "group". It's the group which is being
ignored when I plug in the scanner.
Comment 2 John (J5) Palmieri 2006-02-15 11:00:20 EST
Passing the hot potato.  HAL didn't start changing device permissions until FC5
when we got rid of hotplug.  This is a hotplug or pam_console_apply issue.
Comment 3 Bill Nottingham 2006-02-15 11:36:57 EST
This should be fixed in rawhide with the current udev/libusb combination.

Note You need to log in before you can comment on or make changes to this bug.